# OgreImageResampler.h File Reference

`#include <algorithm>`

Go to the source code of this file.

## Classes

struct | Ogre::NearestResampler< elemsize >
struct | Ogre::LinearResampler
struct | Ogre::LinearResampler_Float32
struct | Ogre::LinearResampler_Byte< channels >

## Namespaces

namespace | Ogre

## Defines

#define | UNPACK(dst, x, y, z)
#define | ACCUM3(x, y, z, factor)
#define | ACCUM4(x, y, z, factor)

## Define Documentation

#define ACCUM3 | ( |  | x,
|  |  | y,
|  |  | z,
|  |  | factor |
| ) |  |  |

Value:

    { float f = factor; \
        size_t off = (x+y*src.rowPitch+z*src.slicePitch)*srcchannels; \
        accum[0]+=srcdata[off+0]*f; accum[1]+=srcdata[off+1]*f; \
        accum[2]+=srcdata[off+2]*f; }

Referenced by Ogre::LinearResampler_Float32::scale().

#define ACCUM4 | ( |  | x,
|  |  | y,
|  |  | z,
|  |  | factor |
| ) |  |  |

Value:

    { float f = factor; \
        size_t off = (x+y*src.rowPitch+z*src.slicePitch)*srcchannels; \
        accum[0]+=srcdata[off+0]*f; accum[1]+=srcdata[off+1]*f; \
        accum[2]+=srcdata[off+2]*f; accum[3]+=srcdata[off+3]*f; }

Referenced by Ogre::LinearResampler_Float32::scale().

#define UNPACK | ( |  | dst,
|  |  | x,
|  |  | y,
|  |  | z |
| ) |  |  |

Value:

    PixelUtil::unpackColour(&dst, src.format, \
        srcdata + srcelemsize*((x)+(y)*src.rowPitch+(z)*src.slicePitch))

Referenced by Ogre::LinearResampler::scale().

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52